Disable catch-all receiving

Disables catch-all inbound receiving for a domain. Use this endpoint to disable catch-all receiving through the Samva email API.

POST
/v1/email/domains/{id}/disable-catch-all

Disables catch-all inbound receiving for a domain.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
success*true
Value intrue
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.disableCatchAll({  "id": "example"});
Example Response
{  "success": true}

Related documentation